org.apache.ode.bpel.evt

## Class ProcessMessageExchangeEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent
    - - org.apache.ode.bpel.evt.ProcessInstanceEvent
      - - org.apache.ode.bpel.evt.ProcessMessageExchangeEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CorrelationMatchEvent, NewProcessInstanceEvent

      public class ProcessMessageExchangeEvent
      extends ProcessInstanceEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `PARTNER_FAILURE`
    `static short` | `PARTNER_FAULT`
    `static short` | `PARTNER_INPUT`
    `static short` | `PARTNER_OUTPUT`
    `static short` | `PROCESS_FAULT`
    `static short` | `PROCESS_INPUT`
    `static short` | `PROCESS_OUTPUT`

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessMessageExchangeEvent()`
    `ProcessMessageExchangeEvent(short aspect, javax.xml.namespace.QName processName, javax.xml.namespace.QName processId, java.lang.Long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getAspect()`
    `java.lang.String` | `getMessageExchangeId()` Message exchange id
    `java.lang.String` | `getOperation()` Message exchange operation
    `javax.xml.namespace.QName` | `getPortType()` Message exchange port type
    `void` | `setAspect(short aspect)`
    `void` | `setMexId(java.lang.String mexId)`
    `void` | `setOperation(java.lang.String operation)`
    `void` | `setPortType(javax.xml.namespace.QName portType)`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent

      `getProcessInstanceId, getType, setProcessInstanceId`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent

      `getProcessId, getProcessName, setProcessId, setProcessName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROCESS_INPUT

          public static final short PROCESS_INPUT

      See Also:
        Constant Field Values

    - #### PROCESS_OUTPUT

          public static final short PROCESS_OUTPUT

      See Also:
        Constant Field Values

    - #### PROCESS_FAULT

          public static final short PROCESS_FAULT

      See Also:
        Constant Field Values

    - #### PARTNER_INPUT

          public static final short PARTNER_INPUT

      See Also:
        Constant Field Values

    - #### PARTNER_OUTPUT

          public static final short PARTNER_OUTPUT

      See Also:
        Constant Field Values

    - #### PARTNER_FAULT

          public static final short PARTNER_FAULT

      See Also:
        Constant Field Values

    - #### PARTNER_FAILURE

          public static final short PARTNER_FAILURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProcessMessageExchangeEvent

          public ProcessMessageExchangeEvent()

    - #### ProcessMessageExchangeEvent

          public ProcessMessageExchangeEvent(short aspect,
                                             javax.xml.namespace.QName processName,
                                             javax.xml.namespace.QName processId,
                                             java.lang.Long processInstanceId)

  - ### Method Detail

    - #### getAspect

          public short getAspect()

    - #### getPortType

          public javax.xml.namespace.QName getPortType()

      Message exchange port type

    - #### getOperation

          public java.lang.String getOperation()

      Message exchange operation

    - #### getMessageExchangeId

          public java.lang.String getMessageExchangeId()

      Message exchange id

    - #### setAspect

          public void setAspect(short aspect)

    - #### setMexId

          public void setMexId(java.lang.String mexId)

    - #### setOperation

          public void setOperation(java.lang.String operation)

    - #### setPortType

          public void setPortType(javax.xml.namespace.QName portType)